`sig
type key
type value
type t = (key, value) t_invertible
val create : (key * value) list -> t Core_kernel.Std.Or_error.t
val get : t -> key -> value
val first_knot : t -> (key * value) option
val last_knot : t -> (key * value) option
val to_knots : t -> (key * value) list
val to_knots' : t -> key array * value array
val precache : ?density:float -> t -> unit
val create_from_linear_combination :
(t * float) list -> t Core_kernel.Std.Or_error.t
val compare : t -> t -> int
val t_of_sexp : Sexplib.Sexp.t -> t
val sexp_of_t : t -> Sexplib.Sexp.t
val bin_t : t Core_kernel.Std.Bin_prot.Type_class.t
val bin_read_t : t Core_kernel.Std.Bin_prot.Read.reader
val __bin_read_t__ : (int -> t) Core_kernel.Std.Bin_prot.Read.reader
val bin_reader_t : t Core_kernel.Std.Bin_prot.Type_class.reader
val bin_size_t : t Core_kernel.Std.Bin_prot.Size.sizer
val bin_write_t : t Core_kernel.Std.Bin_prot.Write.writer
val bin_writer_t : t Core_kernel.Std.Bin_prot.Type_class.writer
val get_inverse : t -> value -> key
end`